<?php
declare(strict_types=1);

namespace FiloBlu\Checkproducts\Model;

use Magento\Catalog\Api\Data\ProductInterface;

/**
 *
 */
interface CollectorInterface {

    /**
     * @param \Magento\Catalog\Api\Data\ProductInterface $product
     * @param $key
     * @return mixed
     */
    public function collect(ProductInterface $product, $key);

    /**
     * @return array
     */
    public function getCollectedData();

    /**
     * @return void
     */
    public function reset();
}